### Method

# Gtk Stackget_pages

#### Declaration [src]

    GtkSelectionModel*
    gtk_stack_get_pages (
      GtkStack* stack
    )

#### Description [src]

Returns a `GListModel` that contains the pages of the stack.

This can be used to keep an up-to-date view. The model also implements `GtkSelectionModel` and can be used to track and modify the visible page.

Gets property | `Gtk.Stack:pages`

#### Return value

Type: `GtkSelectionModel`

A `GtkSelectionModel` for the stack’s children.

The caller of the method takes ownership of the data, and is responsible for freeing it.